Debian Bug report logs - #474148
bootcd: Booting from USB CD-ROM support

version graph

Package: bootcd; Maintainer for bootcd is Bernd Schumacher <bernd.schumacher@hp.com>; Source for bootcd is src:bootcd.

Reported by: Kushal Koolwal <kushalkoolwal@hotmail.com>

Date: Thu, 3 Apr 2008 17:39:02 UTC

Severity: wishlist

Found in versions bootcd/3.00, bootcd/3.12

Fixed in version bootcd/3.20

Done: Bernd Schumacher <bernd.schumacher@hp.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kushalkoolwal@hotmail.com, Bernd Schumacher <bernd.schumacher@hp.com>:
Bug#474148; Package bootcd. Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
New Bug report received and forwarded. Copy sent to kushalkoolwal@hotmail.com, Bernd Schumacher <bernd.schumacher@hp.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bootcd: Booting from USB CD-ROM support
Date: Thu, 03 Apr 2008 03:32:57 -0700
Package: bootcd
Version: 3.00
Severity: wishlist

The bootcd package works great from an IDE CD-ROM but gives a Kernel Panic if I try to boot the CD from a USB CD-ROM. Is there any way by which we can hack the program to boot from a USB CD-ROM?

Thanks in advance for your time.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.24
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages bootcd depends on:
ii  bootcd-i386             3.00             bootcd extension to create images 
ii  cpio                    2.6-18           GNU cpio -- a program to manage ar
ii  dosfstools              2.11-2.1+b1      Utilities to create and check MS-D
ii  fdutils                 5.5-20060227-1.1 Linux floppy utilities
ii  file                    4.17-5etch3      Determines file type using "magic"
ii  mkisofs                 9:1.1.2-1        Dummy transition package for genis
ii  realpath                1.10             Return the canonicalized absolute 

Versions of packages bootcd recommends:
pn  cdrecord                      <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Schumacher <bernd.schumacher@hp.com>:
Bug#474148; Package bootcd. Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Bernd Schumacher <bernd.schumacher@hp.com>. Full text and rfc822 format available.

Message #10 received at 474148@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <474148@bugs.debian.org>
Subject: RE: Bug#474148: bootcd: Booting from USB CD-ROM support
Date: Thu, 10 Jul 2008 11:13:11 -0700
[Message part 1 (text/plain, inline)]
Hello,

I think I have found the
solution to the problem. We need to tell the initramfs to include the
driver for SCSI removal able device and all is fine.

The file is /etc/initramfs/modules. 

Although it may not be a bad idea to include the "sr" driver in the bootcd-mkinitramfs package.

Kushal Koolwal
> Subject: Bug#474148: bootcd: Booting from USB CD-ROM support
> From: kushalkoolwal@hotmail.com
> To: submit@bugs.debian.org
> Date: Thu, 3 Apr 2008 03:32:57 -0700
> 
> Package: bootcd
> Version: 3.00
> Severity: wishlist
> 
> The bootcd package works great from an IDE CD-ROM but gives a Kernel Panic if I try to boot the CD from a USB CD-ROM. Is there any way by which we can hack the program to boot from a USB CD-ROM?
> 
> Thanks in advance for your time.
> 
> -- System Information:
> Debian Release: 4.0
>   APT prefers stable
>   APT policy: (990, 'stable')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.24
> Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
> 
> Versions of packages bootcd depends on:
> ii  bootcd-i386             3.00             bootcd extension to create images 
> ii  cpio                    2.6-18           GNU cpio -- a program to manage ar
> ii  dosfstools              2.11-2.1+b1      Utilities to create and check MS-D
> ii  fdutils                 5.5-20060227-1.1 Linux floppy utilities
> ii  file                    4.17-5etch3      Determines file type using "magic"
> ii  mkisofs                 9:1.1.2-1        Dummy transition package for genis
> ii  realpath                1.10             Return the canonicalized absolute 
> 
> Versions of packages bootcd recommends:
> pn  cdrecord                      <none>     (no description available)
> 
> -- no debconf information
> 
> 

It’s a talkathon – but it’s not just talk. Check out the i’m Talkathon.

_________________________________________________________________
It’s a talkathon – but it’s not just talk.
http://www.imtalkathon.com/?source=EML_WLH_Talkathon_JustTalk
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Schumacher <bernd.schumacher@hp.com>:
Bug#474148; Package bootcd. (Mon, 27 Oct 2008 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Wozniak <dan@edgeos.com>:
Extra info received and forwarded to list. Copy sent to Bernd Schumacher <bernd.schumacher@hp.com>. (Mon, 27 Oct 2008 19:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 474148@bugs.debian.org (full text, mbox):

From: Daniel Wozniak <dan@edgeos.com>
To: 474148@bugs.debian.org
Subject: Patches for USB & SATA CD-ROM support.
Date: Mon, 27 Oct 2008 12:38:13 -0700
Package: bootcd
Version: 3.12
Followup-For: Bug #474148

I noticed a few things stopping a bootcd iso from correctly booting off usb
and sata cdrom drives. First, as someone already mentioned, was that sr_mod
was not being loaded. I corrected this by adding 'sr_mod' to
/etc/initramfs-tools/modules. Then I added the module to the manual modules
variable in bootcdmodprobe:

diff bootcdmodprobe bootcdmodprobe.old
35c35
<         MANUAL_MODULES="scsi_mod usb-storage floppy ide-detect 
ide-generic ide-floppy ide-cd isofs ide-disk ehci-hcd ohci-hcd uhci-hcd 
ehci-hcd sr_mod"
---
>         MANUAL_MODULES="scsi_mod usb-storage floppy ide-detect ide-generic ide-floppy ide-cd isofs ide-disk ehci-hcd ohci-hcd uhci-hcd usb-uhci uhci usb-ohci ehci-hcd"

** I removed usb-uhci, uhci and usb-ohci because they were not being loaded.

The next problem was that anything past scd0 was not loading due to incorret
minors in bootcdproberoot.

diff bootcdproberoot bootcdproberoot.old
13c13
< devices="hda:3:0 hdb:3:64 hdc:22:0 hdd:22:64 hde:33:0 hdf:33:64 
hdg:34:0 hdf:34:64 scd0:11:0 scd1:11:1 scd2:11:2 scd3:11:3 scd4:11:4 
scd5:11:5 scd6:11:6 scd7:11:7 sda:8:0 sdb:8:16 sdc:8:32 sdd:8:48 
sde:8:64 sdf:8:80 sdg:8:96"
---
> devices="hda:3:0 hdb:3:64 hdc:22:0 hdd:22:64 hde:33:0 hdf:33:64 hdg:34:0 hdf:34:64 scd0:11:0 scd1:11:2 scd2:11:3 scd3:11:4 scd4:11:5 scd5:11:6 scd6:11:7 scd7:11:8 sda:8:0 sdb:8:16 sdc:8:32 sdd:8:48 sde:8:64 sdf:8:80 sdg:8:96"

After making the above changes we have succusfully booted off many usb and
sata cd-rom drive. Yipee!






Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Schumacher <bernd.schumacher@hp.com>:
Bug#474148; Package bootcd. (Thu, 20 May 2010 06:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Polverini <alex@nibbles.it>:
Extra info received and forwarded to list. Copy sent to Bernd Schumacher <bernd.schumacher@hp.com>. (Thu, 20 May 2010 06:42:06 GMT) Full text and rfc822 format available.

Message #20 received at 474148@bugs.debian.org (full text, mbox):

From: Alessandro Polverini <alex@nibbles.it>
To: 474148@bugs.debian.org
Subject: Squeeze support
Date: Thu, 20 May 2010 08:32:55 +0200
I'm trying to make a bootcd with squeeze (kernel 2.6.32) but the created 
cd does not boot: it fails with a lot of errors of this kind:

cat : can't open '/proc/scsi/scsi': No such file or directory

and then it stops because it can't find the root fs.

I tried patching various files as indicated by Daniel but it did not 
work for me.

Any hints?

Thanks,
Alex




Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Schumacher <bernd.schumacher@hp.com>:
Bug#474148; Package bootcd. (Fri, 21 May 2010 13:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Schumacher, Bernd" <bernd.schumacher@hp.com>:
Extra info received and forwarded to list. Copy sent to Bernd Schumacher <bernd.schumacher@hp.com>. (Fri, 21 May 2010 13:45:06 GMT) Full text and rfc822 format available.

Message #25 received at 474148@bugs.debian.org (full text, mbox):

From: "Schumacher, Bernd" <bernd.schumacher@hp.com>
To: Alessandro Polverini <alex@nibbles.it>, "474148@bugs.debian.org" <474148@bugs.debian.org>
Subject: RE: Bug#474148: Squeeze support
Date: Fri, 21 May 2010 13:38:51 +0000
Thank you Alex for this Bugreport, I am so busy with customer projects using bootcd and lenny that I did not check the actual squeeze for a while. I have now downloaded http://cdimage.debian.org/cdimage/squeeze_di_alpha1/i386/iso-cd/debian-testing-i386-netinst.iso and have installed a Virtual machine with it. After installing bootcd, bootcd-i386 and bootcd-mkinitramfs I tried bootcdwrite and got the following Warning:
--- WARNING ---
CONFIG_BLK_DEV_RAM=y seems not to be configured in /boot/vmlinuz-2.6.32-3-686
To run bootcd some features have to be compiled in the kernel.
Please read the FAQ and check if all necessary features are enabled.
--- (e)xit (i)gnore ---

You should have seen this warning too. Haven't you ?

This means the standard kernel now has the ramdisk configured only as module.
First of all I wanted to make sure that it would run, when I recompile the kernel with ramdisk.
I installed linux-source-2.6.32 used the standard config /boot/config-2.6.32-trunk-686 and just changed CONFIG_BLK_DEV_RAM=y recompiled and tried again. It bootet, but I could not login. A first workaround was to add the lines /dev.ro/console /ram1/dev/tty1 /ram1/dev/tty2 and /ram1/dev/tty2 in /etc/securetty.

This is only a first short hint, how you could use bootcd now with squeeze when you need it now. I will try to figure out how to use a kernel with ramdisk as module and then try to fix bootcd hopefully next week.

Bernd


Reply sent to Bernd Schumacher <bernd.schumacher@hp.com>:
You have taken responsibility. (Wed, 26 May 2010 15:51:06 GMT) Full text and rfc822 format available.

Notification sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug acknowledged by developer. (Wed, 26 May 2010 15:51:06 GMT) Full text and rfc822 format available.

Message #30 received at 474148-close@bugs.debian.org (full text, mbox):

From: Bernd Schumacher <bernd.schumacher@hp.com>
To: 474148-close@bugs.debian.org
Subject: Bug#474148: fixed in bootcd 3.20
Date: Wed, 26 May 2010 15:48:21 +0000
Source: bootcd
Source-Version: 3.20

We believe that the bug you reported is fixed in the latest version of
bootcd, which is due to be installed in the Debian FTP archive:

bootcd-backup_3.20_all.deb
  to main/b/bootcd/bootcd-backup_3.20_all.deb
bootcd-hppa_3.20_all.deb
  to main/b/bootcd/bootcd-hppa_3.20_all.deb
bootcd-i386_3.20_all.deb
  to main/b/bootcd/bootcd-i386_3.20_all.deb
bootcd-ia64_3.20_all.deb
  to main/b/bootcd/bootcd-ia64_3.20_all.deb
bootcd-mkinitramfs_3.20_all.deb
  to main/b/bootcd/bootcd-mkinitramfs_3.20_all.deb
bootcd_3.20.dsc
  to main/b/bootcd/bootcd_3.20.dsc
bootcd_3.20.tar.gz
  to main/b/bootcd/bootcd_3.20.tar.gz
bootcd_3.20_all.deb
  to main/b/bootcd/bootcd_3.20_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 474148@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bernd Schumacher <bernd.schumacher@hp.com> (supplier of updated bootcd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 25 May 2010 10:21:07 +0200
Source: bootcd
Binary: bootcd bootcd-i386 bootcd-hppa bootcd-ia64 bootcd-mkinitramfs bootcd-backup
Architecture: source all
Version: 3.20
Distribution: unstable
Urgency: low
Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
Changed-By: Bernd Schumacher <bernd.schumacher@hp.com>
Description: 
 bootcd     - run your system from cd without need for disks
 bootcd-backup - tools to backup a Debian or alien Linux installation
 bootcd-hppa - bootcd extension to create images that can boot on parisc/hppa
 bootcd-i386 - bootcd extension to create images that can boot on i386
 bootcd-ia64 - bootcd extension to create images that can boot on ia64
 bootcd-mkinitramfs - initramfs extension for bootcd
Closes: 474148
Changes: 
 bootcd (3.20) unstable; urgency=low
 .
   * Support Kernels with ramdisk as module (as used in squeeze).
     - S12bootcdram.sh loads ramdisk Module (brd) if it exists
     - S12bootcdram.sh may have to create /dev/ram2 manually
     - bootcd-check.lib now accepts kernels with
       CONFIG_BLK_DEV_RAM=[m|y]
   * Support newer login that does not allow devices outside of /dev
     - bootcdwrite makes sure /etc/securetty has full path when running from
       bootcd
     - bootcd2disk restores original /etc/securetty
   * Bashism
     - do not use bash command declare any more
   * This is the first try to support Grub2.
     Maybe it is more sure to use Grub for now.
   * check that if bootcd-mkinitramfs is installed, it has modified the
     correct initrd. While installing bootcd-mkinitramfs it only
     modifies the actual running initrd, other initrds have to be modified
     manually. The check tells the command to execute.
   * Added sr_mod to the MANUAL_MODULES in bootcdmodprobe. Thanks to
     Kushal Koolwal <kushalkoolwal@hotmail.com> and
     Daniel Wozniak <dan@edgeos.com>. Successfuly tested squeeze kernel
     vmlinuz-2.6.32-3-686. Fixed bugs reported by
     Alessandro Polverini <alex@nibbles.it>. Also Tested bootcd2disk with
     this kernel. Closes: #474148
   * Added startscripts bootcdram and bootcdflop with LSB support instead of
     old S12bootcdram.sh and S13bootcdflop.sh.
Checksums-Sha1: 
 85aad4c5c4a02a69468c4b105fd1bfa7d363e390 761 bootcd_3.20.dsc
 9023213906babcdcb52db0e881621eb9f5d796e1 109305 bootcd_3.20.tar.gz
 181c6b5406e0e6d3a2adf8d0adb49746f8af8dfc 82428 bootcd_3.20_all.deb
 cd43fb32e54a4b12858de4e58a7c3e1348352e3b 14318 bootcd-i386_3.20_all.deb
 a8f0fcbbd904fa6bd1998fb87ad4144d3e874542 14136 bootcd-hppa_3.20_all.deb
 d5264f2ed99869a00035e315377f9c5eb517c396 15014 bootcd-ia64_3.20_all.deb
 c077cbf0101907272dd54d5f116d799cad9e2484 18232 bootcd-mkinitramfs_3.20_all.deb
 39799fcd9fc3eb2086edbb5fe54207cc02b53e56 49762 bootcd-backup_3.20_all.deb
Checksums-Sha256: 
 87400878d68f06c0b47352d1783a398310d8b8fd08f98d6d248e2d3460ca3bc4 761 bootcd_3.20.dsc
 46212e0e79af04c891a3ded6eef06e15ab52879aa206db6ec308c81b297b37d4 109305 bootcd_3.20.tar.gz
 ae0b5aad4e695074d44bc013a26674c31fbca6fbbf11e638732ca5292e8c7967 82428 bootcd_3.20_all.deb
 b079fdb37a5f3f653a63a93272e21941224129d7e3b39f7f33d53df5c1b845b3 14318 bootcd-i386_3.20_all.deb
 2a317a870d8cc347e90ae41b617cb46cfd15c9d4ab2329fd60c704a2abe45136 14136 bootcd-hppa_3.20_all.deb
 03a09310ac9da9eb32c17fe1609b6120a9d9d89dce3d0938be2c373f2efbe0e8 15014 bootcd-ia64_3.20_all.deb
 75ac6c2d783118dfcfff1f377409f36fbf789fac5502beb1f1c944500d7f5b7d 18232 bootcd-mkinitramfs_3.20_all.deb
 4414b1c7279f490e075ae01433c9d87b10381fae175740841ce6c29ed9edb58e 49762 bootcd-backup_3.20_all.deb
Files: 
 c7f5ae42bd2ea0979417d63ee3f1a9e3 761 utils extra bootcd_3.20.dsc
 4f10c9bd745cc67ccac5eddd7747ffb5 109305 utils extra bootcd_3.20.tar.gz
 2fd5ffd9e7671ca8f638fa6876158c99 82428 utils extra bootcd_3.20_all.deb
 408d717d5fe1ac8bf409ac20c5084afd 14318 utils extra bootcd-i386_3.20_all.deb
 0829d21b807210baca326f04d032d545 14136 utils extra bootcd-hppa_3.20_all.deb
 a516953371c94a38a72c21c9aaa04b96 15014 utils extra bootcd-ia64_3.20_all.deb
 f9946885b8a8aa8efd34442139779975 18232 utils extra bootcd-mkinitramfs_3.20_all.deb
 7bea166bba0b6f27e23b14039301ae47 49762 utils extra bootcd-backup_3.20_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFL/TWNINZoglnvXbwRAsZaAJ0bgWUum62MjX3XZRP3o/sLmr7KkwCfX8cN
XKCv+5Akie7fvhsdKOeV9os=
=lY8s
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 04 Jul 2010 07:33:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:12:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.